package com.iqser.red.service.persistence.service.v1.api.shared.mongo.repository.projections;

import java.util.List;

import com.iqser.red.service.persistence.service.v1.api.shared.model.analysislog.entitylog.EntryState;
import com.iqser.red.service.persistence.service.v1.api.shared.model.analysislog.entitylog.EntryType;
import com.iqser.red.service.persistence.service.v1.api.shared.model.analysislog.entitylog.ManualChange;

public interface EntryWithManualChangesProjection {

    String getEntryId();


    String getEntityLogId();


    EntryState getState();


    EntryType getEntryType();


    List<ManualChange> getManualChanges();

}
